Subject: Re: [bug#72877] [PATCH 0/8] Upgrade PETSc, SLEPc, SUNDIALS, and DealII

From: Ludovic Courtès <[email-masked]>
Date: Thu, 05 Sep 2024 16:40:44 +0200

Hi Eric,

Thanks for taking the time to look into it.  (I rushed the patch series
more than usual because the whole stack was broken since the
‘core-updates’ merge.)

Eric Bavier <[email-masked]> skribis:

> I finally got a chance to look through it just before you pushed. My
> only
> note is that I noticed this in the output of petsc's "check" phase:
>
> # -------------
> #   Summary
> # -------------
> # FAILED vec_pf_impls_string_tests-ex1_1 diff-snes_tutorials-ex78_2
> # success 5721/10154 tests (56.3%)
> # failed 2/10154 tests (0.0%)
> # todo 240/10154 tests (2.4%)
> # skip 4191/10154 tests (41.3%)
>
> but the 'check' phase doesn't fail.  I wonder if the `make check`
> invocation does not return a failure code when the tests fail.  These
> test failures
> in particular look mostly harmless, but maybe other more catastrophic
> failures
> might not be caught if `check` is not detecting failures.

Oh.  I was told in the meantime that we might want to use ‘make test’
instead, so perhaps we should followup on this update with a switch to
‘make test’ and see if problems as shown above still appear:

  https://gitlab.com/petsc/petsc/-/issues/1634#note_2070200322

Ludo’.